<?php

// Initialise Twig
include('include/twig.php');
$twig = init_twig();

// Récupération de la variable $id sur l'URL
$id = 0;
if (isset($_GET['id'])) {     // si la variable est présente sur l'URL
    $valeur = $_GET['id'];    // on récupère sa valeur
}
$id = intval($valeur);        // on convertit la valeur en entier

// Récupère les identifiants dans un fichier de configuration
include('include/config.php');

// Connexion à la base de données et force l'affichage des erreurs SQL
$pdo = new PDO('mysql:host=' . SERVER . ';dbname=' . BDD . ';charset=utf8', USER, PASSWORD);
$pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_WARNING);

// Récupération des données 1 : listes des catégories pour le menu gauche
$sql = 'select * from categories';
$query = $pdo->prepare($sql);
$query->execute();
$tableau_categories = $query->fetchAll(PDO::FETCH_ASSOC);

// Récupération des données 2 : listes des fresques de la catégorie $id
$sql = 'select * from fresques where fresques.idcategorie = :id';
$query = $pdo->prepare($sql);
$query->bindValue(':id', $id, PDO::PARAM_INT);
$query->execute();
$tableau_fresques = $query->fetchAll(PDO::FETCH_ASSOC);

// Lancement du moteur Twig avec les données
echo $twig->render('fresques_categorie.twig', [
    'tableau_categories' => $tableau_categories,
    'tableau_fresques' => $tableau_fresques
]);
